GET/sharedrives
共有ドライブリストを取得する。
参考
- ドライブサービスにおけるフォルダの違いについては こちら を参照する。
注意
- 2026年7月下旬を目処に、Response Body のゴミ箱の容量 trash は廃止予定です。
Access Token を指定します。
指定の方法や Access Token の取得方法は 共通仕様 を参照してください。
file
file.read
| Header | type | Description |
|---|---|---|
| Authorization | string | Bearer {token} required |
OK
| Property | Type | Description |
|---|---|---|
| sharedrives | array (ShareDrive) | 共有ドライブ情報 |
| Property | Type | Description |
|---|---|---|
| accessDenies | array (ShareDriveAccessDeny) | アクセス制限リスト |
| createdTime | string | 作成日時 readOnly : true |
| description | string | 説明 |
| hasPermission | boolean | アクセス権限有りフラグ readOnly : true |
| accessibleRange | string | 共有範囲
Allowed values : TENANT, DOMAIN, MEMBER nullable : false |
| masters | array (ShareDriveMaster) | 管理者ユーザー |
| name | string | 共有ドライブ名 |
| quota | object (quota) | 容量情報 readOnly : true |
| sharedriveId | string | 共有ドライブ ID readOnly : true |
| permissionType | string | 編集権限
Allowed values : READ, WRITE |
| Property | Type | Description |
|---|---|---|
| id | string | アクセス制限 ID |
| name | string | アクセス制限名 readOnly : true |
| type | string | アクセス制限の種類 Allowed values : user-type |
| Property | Type | Description |
|---|---|---|
| id | string | 管理者のユーザー ID |
| name | string | 管理者のユーザー名 readOnly : true |
| Property | Type | Description |
|---|---|---|
| trash | integer | ゴミ箱の容量
format : int64 readOnly : true |
| used | integer | 使用容量 format : int64 readOnly : true |
example
1{2 "sharedrives": [3 {4 "sharedriveId": "@2101000000000008",5 "name": "share drive",6 "description": "description here",7 "createdTime": "2020-12-16T19:40:15.15+09:00",8 "quota": {9 "used": 46426,10 "trash": 011 },12 "hasPermission": false,13 "masters": [14 {15 "id": "userf7da-f82c-4284-13e7-030f3b4c756x",16 "name": "User Name"17 }18 ],19 "accessDenies": [20 {21 "type": "user-type",22 "id": "041b68d3-263a-4fbe-9bc5-0350c49d1c42",23 "name": "アルバイト"24 }25 ],26 "permissionType": "READ"27 }28 ]29}